> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Crée une transaction de traitement

> Crée une transaction qui servira à traiter des fichiers.



## OpenAPI

````yaml /fr/openapi.json post /api/publicapi/v1/transactions
openapi: 3.0.4
info:
  description: 'Environnement : Production<br>Version du produit : 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: Production – États-Unis
    url: https://vantage-us.abbyy.com
  - description: Production – Europe
    url: https://vantage-eu.abbyy.com
  - description: Production – Australie
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions:
    post:
      tags:
        - Transactions
      summary: Crée une transaction de traitement
      description: Crée une transaction qui servira à traiter des fichiers.
      operationId: CreateTransaction
      requestBody:
        content:
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
          application/json-patch+json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult
          description: Transaction créée avec succès
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: Certains Parameter sont invalides
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: >-
            Le Skill avec le skillId spécifié est introuvable ou n'est pas
            publié
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest:
      additionalProperties: false
      description: Paramètres de création de Transaction
      properties:
        generateMobileInputLink:
          default: false
          description: >-
            Générer une URL pour lancer la saisie mobile avec un jeton
            d’authentification à usage unique, afin d’insérer une image dans une
            transaction spécifique
          type: boolean
        registrationParameters:
          description: Paramètres d’enregistrement supplémentaires pour une transaction
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionRegistrationParameter
          maxItems: 10
          nullable: true
          type: array
        skillId:
          description: Identifiant de la compétence à appliquer aux fichiers
          minLength: 1
          type: string
        skillParameters:
          description: Paramètres du Skill pour une transaction
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionSkillParameter
          maxItems: 10
          nullable: true
          type: array
      required:
        - skillId
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult:
      additionalProperties: false
      properties:
        isShortLink:
          description: >-
            Le lien d’entrée mobile est-il un lien court qui fait référence au
            lien d’entrée mobile d’origine&nbsp;?
          type: boolean
        mobileInputLink:
          description: >-
            Lien de saisie mobile contenant un jeton d’authentification à usage
            unique pour la transaction en cours.

            Le Parameter est renvoyé lorsque generateMobileInputLink=true
          nullable: true
          type: string
        transactionId:
          format: uuid
          type: string
      required:
        - transactionId
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionRegistrationParameter:
      additionalProperties: false
      description: Parameter d'enregistrement de Transaction
      properties:
        key:
          description: Clé (nom) du Parameter
          minLength: 1
          type: string
        value:
          description: Valeur du Parameter
          minLength: 1
          type: string
      required:
        - key
        - value
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionSkillParameter:
      additionalProperties: false
      description: Paramètre de Skill pour la transaction
      properties:
        key:
          description: Clé (nom) du Parameter
          minLength: 1
          type: string
        value:
          description: Valeur du Parameter
          minLength: 1
          type: string
      required:
        - key
        - value
      type: object
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````